### Method

# Ide Completion add_provider

#### Declaration

    void
    ide_completion_add_provider (
      IdeCompletion* self,
      IdeCompletionProvider* provider
    )

#### Description

Adds an `IdeCompletionProvider` to the list of providers to be queried for completion results.

Available since: | 3.32

#### Parameters

`provider` | `IdeCompletionProvider`
| An `IdeCompletionProvider`.
| The data is owned by the caller of the function.